<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Checkout</title>
    <script src="js/payment.js" type="application/ecmascript" defer></script>
</head>
<body style="max-width: 1200px;margin: auto; padding-top: 20px">

<form id="payment-form" style="max-width: 400px; margin: auto;">
    <input type="hidden" name="client_secret" th:value="${clientSecret}">
    <div id="card-element">
        <!-- Elements will create input elements here -->
    </div>

    <!-- We'll put the error messages in this element -->
    <div id="card-errors" role="alert"></div>

    <button id="submit">Pay</button>
</form>

</body>
</html>
